| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC4245.h File Reference
Hot Swap » LTC4245: Hot Swap Controller with I2C Compatible Monitoring

LTC4245: Hot Swap Controller with I2C Compatible Monitoring. More...

## Detailed Description

LTC4245: Hot Swap Controller with I2C Compatible Monitoring.

    The LTC4245 Hot Swap controller allows a board to be safely inserted and removed
    from a live backplane. Using an external N-channel pass transistor, board supply
    voltage and inrush current are ramped up at an adjustable rate. An I2C interface
    and onboard ADC allow for monitoring of load current, voltage and fault status.

    I2C DATA FORMAT (MSB FIRST):

    Data Out:
    Byte #1                                    Byte #2                       Byte #3

    START  SA6 SA5 SA4 SA3 SA2 SA1 SA0 W SACK  C7  C6 C5 C4 C3 C2 C1 C0 SACK D7 D6 D5 D4 D3 D2 D1 D0 SACK  STOP

    Data In:
    Byte #1                                    Byte #2                                      Byte #3

    START  SA6 SA5 SA4 SA3 SA2 SA1 SA0 W SACK  C7  C6  C5 C4 C3 C2 C1 C0 SACK  Repeat Start SA6 SA5 SA4 SA3 SA2 SA1 SA0 R SACK

    Byte #4                                   Byte #5
    MSB                                       LSB
    D15 D14  D13  D12  D11  D10  D9 D8 MACK   D7 D6 D5 D4 D3  D2  D1  D0  MNACK  STOP

    START       : I2C Start
    Repeat Start: I2C Repeat Start
    STOP        : I2C Stop
    SAx         : I2C Address
    SACK        : I2C Slave Generated Acknowledge (Active Low)
    MACK        : I2C Master Generated Acknowledge (Active Low)
    MNACK       : I2C Master Generated Not Acknowledge
    W           : I2C Write (0)
    R           : I2C Read  (1)
    Cx          : Command Code
    Dx          : Data Bits
    X           : Don't care

    Example Code:

      float adin_lsb = (1.23/255);          // ADIN Voltage Data is 8-Bit Data with 4.82mV LSB and 1.23V Full Scale
        float adin_resisive_ratio = (155.4/12.4);   // Resistor divider circuit at ADIN pin.
      ack |= LTC4245_read(LTC4245_I2C_ADDRESS, LTC4245_ADIN_REG, &adin_code);       // Read ADIN Register
      adin_voltage = LTC4245_code_to_voltage(adin_code, adin_lsb, adin_resisive_ratio); // Calculate ADIN Voltage from ADIN Register data

http://www.linear.com/product/LTC4245

http://www.linear.com/product/LTC4245#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC4245: Hot Swap Controller with I2C Compatible Monitoring

Definition in file LTC4245.h.

Go to the source code of this file.

## Functions
float | LTC4245_code_to_voltage (uint8_t register_code, float full_scale_voltage)
| Calculates voltage from register code data. More...
int8_t | LTC4245_ARA (uint8_t alert_response_address, uint8_t *i2c_address)
| SMBus Alert ResponseProtocol: Sends an alert response command and releases /ALERT pin. More...
int8_t | LTC4245_write (uint8_t i2c_address, uint8_t command, uint8_t code)
| Write an 8-bit code to the LTC4245. More...
int8_t | LTC4245_read (uint8_t i2c_address, uint8_t command, uint8_t *code)
| Reads an 8-bit adc_code from LTC4245. More...

## Macros
LTC4261 Address Assignment
#define | LTC4245_I2C_ADDRESS 0x20
#define | LTC4245_I2C_ALERT_RESPONSE 0x0C
#define | LTC4245_I2C_MASS_WRITE 0x17
LTC4245 Register addresses
#define | LTC4245_STATUS_REG 0x00
#define | LTC4245_ALERT_REG 0x01
#define | LTC4245_CONTROL_REG 0x02
#define | LTC4245_ON_REG 0x03
#define | LTC4245_FAULT1_REG 0x04
#define | LTC4245_FAULT2_REG 0x05
#define | LTC4245_GPIO_REG 0x06
#define | LTC4245_ADCADR_REG 0x07
LTC4245 ADC Data Register addresses
#define | LTC4245_12VIN_REG 0x10
#define | LTC4245_12VSENSE_REG 0x11
#define | LTC4245_12VOUT_REG 0x12
#define | LTC4245_5VIN_REG 0x13
#define | LTC4245_5VSENSE_REG 0x14
#define | LTC4245_5VOUT_REG 0x15
#define | LTC4245_3_3VIN_REG 0x16
#define | LTC4245_3_3VSENSE_REG 0x17
#define | LTC4245_3_3VOUT_REG 0x18
#define | LTC4245_VEEIN_REG 0x19
#define | LTC4245_VEESENSE_REG 0x1A
#define | LTC4245_VEEOUT_REG 0x1B
#define | LTC4245_GPIOADC1_REG 0x1C
#define | LTC4245_GPIOADC2_REG 0x1D
#define | LTC4245_GPIOADC3_REG 0x1E
#define | LTC4245_GPIOADC4_REG 0x1F
LTC4245 Status Register Bits
#define | LTC4245_GPIO1_STATE_CHANGE_ENABLE 0x80
#define | LTC4245_GPIO1_STATE_CHANGE_DISABLE 0x7F
#define | LTC4245_BD_SEL_STATE_CHANGE_ENABLE 0x40
#define | LTC4245_BD_SEL_STATE_CHANGE_DISABLE 0xBF
#define | LTC4245_FET_SHORT_ENABLE 0x20
#define | LTC4245_FET_SHORT_DISABLE 0xDF
#define | LTC4245_PGI_FAULT_ENABLE 0x10
#define | LTC4245_PGI_FAULT_DISABLE 0xEF
#define | LTC4245_ALERT_PRESENT_ENABLE 0x08
#define | LTC4245_ALERT_PRESENT_DISABLE 0xF7
#define | LTC4245_POWER_BAD_ENABLE 0x04
#define | LTC4245_POWER_BAD_DISABLE 0xFB
#define | LTC4245_OVERCURRENT_ENABLE 0x02
#define | LTC4245_OVERCURRENT_DISABLE 0xFD
#define | LTC4245_UNDERVOLTAGE_ENABLE 0x01
#define | LTC4245_UNDERVOLTAGE_DISABLE 0xFE
LTC4245 Control Register Bits
#define | LTC4245_ADC_FREE_RUN_DISABLE 0x80
#define | LTC4245_ADC_FREE_RUN_ENABLE 0x7F
#define | LTC4245_SEQUENCING_ENABLE 0x40
#define | LTC4245_SEQUENCING_DISABLE 0xBF
#define | LTC4245_MASS_WRITE_ENABLE 0x20
#define | LTC4245_MASS_WRITE_DISABLE 0xDF
#define | LTC4245_PGI_FAULT_AUTO_RETRY_ENABLE 0x10
#define | LTC4245_PGI_FAULT_AUTO_RETRY_DISABLE 0xEF
#define | LTC4245_PGI_DISABLE 0x08
#define | LTC4245_PGI_ENABLE 0xF7
#define | LTC4245_OVERCURRENT_AUTO_RETRY_ENABLE 0x02
#define | LTC4245_OVERCURRENT_AUTO_RETRY_DISABLE 0xFD
#define | LTC4245_UNDERVOLTAGE_AUTO_RETRY_ENABLE 0x01
#define | LTC4245_UNDERVOLTAGE_AUTO_RETRY_DISABLE 0xFE
LTC4245 Fault Register Bits
#define | LTC4245_NEG12V_OVERCURRENT_FAULT 0x80
#define | LTC4245_3_3V_OVERCURRENT_FAULT 0x40
#define | LTC4245_5V_OVERCURRENT_FAULT 0x20
#define | LTC4245_12V_OVERCURRENT_FAULT 0x10
#define | LTC4245_NEG12V_UNDERVOLTAGE_FAULT 0x08
#define | LTC4245_3_3V_UNDERVOLTAGE_FAULT 0x04
#define | LTC4245_5V_UNDERVOLTAGE_FAULT 0x02
#define | LTC4245_12V_UNDERVOLTAGE_FAULT 0x01
#define | LTC4245_GPIO1_STATE_CHANGE 0x80
#define | LTC4245_BD_SEL_STATE_CHANGE 0x40
#define | LTC4245_FET_SHORT_FAULT 0x20
#define | LTC4245_PGI_FAULT 0x10
#define | LTC4245_NEG12V_POWER_BAD_FAULT 0x08
#define | LTC4245_3_3V_POWER_BAD_FAULT 0x04
#define | LTC4245_5V_POWER_BAD_FAULT 0x02
#define | LTC4245_12V_POWER_BAD_FAULT 0x01

## Function Documentation

## ◆ LTC4245_ARA()

int8_t LTC4245_ARA | ( | uint8_t | alert_response_address,
|  | uint8_t * | i2c_address
| ) |  |

SMBus Alert ResponseProtocol: Sends an alert response command and releases /ALERT pin.

LTC4245 responds with its address

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge

Parameters

  alert_response_address | the Alert Response Address on the I2C bus
  i2c_address | the address of the alert source

Definition at line 82 of file LTC4245.cpp.

## ◆ LTC4245_code_to_voltage()

float LTC4245_code_to_voltage | ( | uint8_t | register_code,
|  | float | full_scale_voltage
| ) |  |

Calculates voltage from register code data.

Returns
  The function returns valtage calculated from register data

Parameters

  full_scale_voltage | Data from registers Full scale voltage

Definition at line 73 of file LTC4245.cpp.

## ◆ LTC4245_read()

int8_t LTC4245_read | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t * | code
| ) |  |

Reads an 8-bit adc_code from LTC4245.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  command | LTC4245 I2C ADDRESS
  code | Register address to read from Contents of the requested register

Definition at line 98 of file LTC4245.cpp.

## ◆ LTC4245_write()

int8_t LTC4245_write | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t | code
| ) |  |

Write an 8-bit code to the LTC4245.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  command | LTC4245 I2C ADDRESS
  code | Register address to be written into Data to be written into the register

Definition at line 90 of file LTC4245.cpp.

## Macro Definition Documentation

## ◆ LTC4245_12V_OVERCURRENT_FAULT

#define LTC4245_12V_OVERCURRENT_FAULT 0x10

Definition at line 192 of file LTC4245.h.

## ◆ LTC4245_12V_POWER_BAD_FAULT

#define LTC4245_12V_POWER_BAD_FAULT 0x01

Definition at line 205 of file LTC4245.h.

## ◆ LTC4245_12V_UNDERVOLTAGE_FAULT

#define LTC4245_12V_UNDERVOLTAGE_FAULT 0x01

Definition at line 196 of file LTC4245.h.

## ◆ LTC4245_12VIN_REG

#define LTC4245_12VIN_REG 0x10

Definition at line 120 of file LTC4245.h.

## ◆ LTC4245_12VOUT_REG

#define LTC4245_12VOUT_REG 0x12

Definition at line 122 of file LTC4245.h.

## ◆ LTC4245_12VSENSE_REG

#define LTC4245_12VSENSE_REG 0x11

Definition at line 121 of file LTC4245.h.

## ◆ LTC4245_3_3V_OVERCURRENT_FAULT

#define LTC4245_3_3V_OVERCURRENT_FAULT 0x40

Definition at line 190 of file LTC4245.h.

## ◆ LTC4245_3_3V_POWER_BAD_FAULT

#define LTC4245_3_3V_POWER_BAD_FAULT 0x04

Definition at line 203 of file LTC4245.h.

## ◆ LTC4245_3_3V_UNDERVOLTAGE_FAULT

#define LTC4245_3_3V_UNDERVOLTAGE_FAULT 0x04

Definition at line 194 of file LTC4245.h.

## ◆ LTC4245_3_3VIN_REG

#define LTC4245_3_3VIN_REG 0x16

Definition at line 126 of file LTC4245.h.

## ◆ LTC4245_3_3VOUT_REG

#define LTC4245_3_3VOUT_REG 0x18

Definition at line 128 of file LTC4245.h.

## ◆ LTC4245_3_3VSENSE_REG

#define LTC4245_3_3VSENSE_REG 0x17

Definition at line 127 of file LTC4245.h.

## ◆ LTC4245_5V_OVERCURRENT_FAULT

#define LTC4245_5V_OVERCURRENT_FAULT 0x20

Definition at line 191 of file LTC4245.h.

## ◆ LTC4245_5V_POWER_BAD_FAULT

#define LTC4245_5V_POWER_BAD_FAULT 0x02

Definition at line 204 of file LTC4245.h.

## ◆ LTC4245_5V_UNDERVOLTAGE_FAULT

#define LTC4245_5V_UNDERVOLTAGE_FAULT 0x02

Definition at line 195 of file LTC4245.h.

## ◆ LTC4245_5VIN_REG

#define LTC4245_5VIN_REG 0x13

Definition at line 123 of file LTC4245.h.

## ◆ LTC4245_5VOUT_REG

#define LTC4245_5VOUT_REG 0x15

Definition at line 125 of file LTC4245.h.

## ◆ LTC4245_5VSENSE_REG

#define LTC4245_5VSENSE_REG 0x14

Definition at line 124 of file LTC4245.h.

## ◆ LTC4245_ADC_FREE_RUN_DISABLE

#define LTC4245_ADC_FREE_RUN_DISABLE 0x80

Definition at line 162 of file LTC4245.h.

## ◆ LTC4245_ADC_FREE_RUN_ENABLE

#define LTC4245_ADC_FREE_RUN_ENABLE 0x7F

Definition at line 163 of file LTC4245.h.

## ◆ LTC4245_ADCADR_REG

#define LTC4245_ADCADR_REG 0x07

Definition at line 114 of file LTC4245.h.

## ◆ LTC4245_ALERT_PRESENT_DISABLE

#define LTC4245_ALERT_PRESENT_DISABLE 0xF7

Definition at line 150 of file LTC4245.h.

## ◆ LTC4245_ALERT_PRESENT_ENABLE

#define LTC4245_ALERT_PRESENT_ENABLE 0x08

Definition at line 149 of file LTC4245.h.

## ◆ LTC4245_ALERT_REG

#define LTC4245_ALERT_REG 0x01

Definition at line 108 of file LTC4245.h.

## ◆ LTC4245_BD_SEL_STATE_CHANGE

#define LTC4245_BD_SEL_STATE_CHANGE 0x40

Definition at line 199 of file LTC4245.h.

## ◆ LTC4245_BD_SEL_STATE_CHANGE_DISABLE

#define LTC4245_BD_SEL_STATE_CHANGE_DISABLE 0xBF

Definition at line 144 of file LTC4245.h.

## ◆ LTC4245_BD_SEL_STATE_CHANGE_ENABLE

#define LTC4245_BD_SEL_STATE_CHANGE_ENABLE 0x40

Definition at line 143 of file LTC4245.h.

## ◆ LTC4245_CONTROL_REG

#define LTC4245_CONTROL_REG 0x02

Definition at line 109 of file LTC4245.h.

## ◆ LTC4245_FAULT1_REG

#define LTC4245_FAULT1_REG 0x04

Definition at line 111 of file LTC4245.h.

## ◆ LTC4245_FAULT2_REG

#define LTC4245_FAULT2_REG 0x05

Definition at line 112 of file LTC4245.h.

## ◆ LTC4245_FET_SHORT_DISABLE

#define LTC4245_FET_SHORT_DISABLE 0xDF

Definition at line 146 of file LTC4245.h.

## ◆ LTC4245_FET_SHORT_ENABLE

#define LTC4245_FET_SHORT_ENABLE 0x20

Definition at line 145 of file LTC4245.h.

## ◆ LTC4245_FET_SHORT_FAULT

#define LTC4245_FET_SHORT_FAULT 0x20

Definition at line 200 of file LTC4245.h.

## ◆ LTC4245_GPIO1_STATE_CHANGE

#define LTC4245_GPIO1_STATE_CHANGE 0x80

Definition at line 198 of file LTC4245.h.

## ◆ LTC4245_GPIO1_STATE_CHANGE_DISABLE

#define LTC4245_GPIO1_STATE_CHANGE_DISABLE 0x7F

Definition at line 142 of file LTC4245.h.

## ◆ LTC4245_GPIO1_STATE_CHANGE_ENABLE

#define LTC4245_GPIO1_STATE_CHANGE_ENABLE 0x80

Definition at line 141 of file LTC4245.h.

## ◆ LTC4245_GPIO_REG

#define LTC4245_GPIO_REG 0x06

Definition at line 113 of file LTC4245.h.

## ◆ LTC4245_GPIOADC1_REG

#define LTC4245_GPIOADC1_REG 0x1C

Definition at line 132 of file LTC4245.h.

## ◆ LTC4245_GPIOADC2_REG

#define LTC4245_GPIOADC2_REG 0x1D

Definition at line 133 of file LTC4245.h.

## ◆ LTC4245_GPIOADC3_REG

#define LTC4245_GPIOADC3_REG 0x1E

Definition at line 134 of file LTC4245.h.

## ◆ LTC4245_GPIOADC4_REG

#define LTC4245_GPIOADC4_REG 0x1F

Definition at line 135 of file LTC4245.h.

## ◆ LTC4245_I2C_ADDRESS

#define LTC4245_I2C_ADDRESS 0x20

Definition at line 99 of file LTC4245.h.

## ◆ LTC4245_I2C_ALERT_RESPONSE

#define LTC4245_I2C_ALERT_RESPONSE 0x0C

Definition at line 100 of file LTC4245.h.

## ◆ LTC4245_I2C_MASS_WRITE

#define LTC4245_I2C_MASS_WRITE 0x17

Definition at line 101 of file LTC4245.h.

## ◆ LTC4245_MASS_WRITE_DISABLE

#define LTC4245_MASS_WRITE_DISABLE 0xDF

Definition at line 169 of file LTC4245.h.

## ◆ LTC4245_MASS_WRITE_ENABLE

#define LTC4245_MASS_WRITE_ENABLE 0x20

Definition at line 168 of file LTC4245.h.

## ◆ LTC4245_NEG12V_OVERCURRENT_FAULT

#define LTC4245_NEG12V_OVERCURRENT_FAULT 0x80

Definition at line 189 of file LTC4245.h.

## ◆ LTC4245_NEG12V_POWER_BAD_FAULT

#define LTC4245_NEG12V_POWER_BAD_FAULT 0x08

Definition at line 202 of file LTC4245.h.

## ◆ LTC4245_NEG12V_UNDERVOLTAGE_FAULT

#define LTC4245_NEG12V_UNDERVOLTAGE_FAULT 0x08

Definition at line 193 of file LTC4245.h.

## ◆ LTC4245_ON_REG

#define LTC4245_ON_REG 0x03

Definition at line 110 of file LTC4245.h.

## ◆ LTC4245_OVERCURRENT_AUTO_RETRY_DISABLE

#define LTC4245_OVERCURRENT_AUTO_RETRY_DISABLE 0xFD

Definition at line 178 of file LTC4245.h.

## ◆ LTC4245_OVERCURRENT_AUTO_RETRY_ENABLE

#define LTC4245_OVERCURRENT_AUTO_RETRY_ENABLE 0x02

Definition at line 177 of file LTC4245.h.

## ◆ LTC4245_OVERCURRENT_DISABLE

#define LTC4245_OVERCURRENT_DISABLE 0xFD

Definition at line 154 of file LTC4245.h.

## ◆ LTC4245_OVERCURRENT_ENABLE

#define LTC4245_OVERCURRENT_ENABLE 0x02

Definition at line 153 of file LTC4245.h.

## ◆ LTC4245_PGI_DISABLE

#define LTC4245_PGI_DISABLE 0x08

Definition at line 174 of file LTC4245.h.

## ◆ LTC4245_PGI_ENABLE

#define LTC4245_PGI_ENABLE 0xF7

Definition at line 175 of file LTC4245.h.

## ◆ LTC4245_PGI_FAULT

#define LTC4245_PGI_FAULT 0x10

Definition at line 201 of file LTC4245.h.

## ◆ LTC4245_PGI_FAULT_AUTO_RETRY_DISABLE

#define LTC4245_PGI_FAULT_AUTO_RETRY_DISABLE 0xEF

Definition at line 172 of file LTC4245.h.

## ◆ LTC4245_PGI_FAULT_AUTO_RETRY_ENABLE

#define LTC4245_PGI_FAULT_AUTO_RETRY_ENABLE 0x10

Definition at line 171 of file LTC4245.h.

## ◆ LTC4245_PGI_FAULT_DISABLE

#define LTC4245_PGI_FAULT_DISABLE 0xEF

Definition at line 148 of file LTC4245.h.

## ◆ LTC4245_PGI_FAULT_ENABLE

#define LTC4245_PGI_FAULT_ENABLE 0x10

Definition at line 147 of file LTC4245.h.

## ◆ LTC4245_POWER_BAD_DISABLE

#define LTC4245_POWER_BAD_DISABLE 0xFB

Definition at line 152 of file LTC4245.h.

## ◆ LTC4245_POWER_BAD_ENABLE

#define LTC4245_POWER_BAD_ENABLE 0x04

Definition at line 151 of file LTC4245.h.

## ◆ LTC4245_SEQUENCING_DISABLE

#define LTC4245_SEQUENCING_DISABLE 0xBF

Definition at line 166 of file LTC4245.h.

## ◆ LTC4245_SEQUENCING_ENABLE

#define LTC4245_SEQUENCING_ENABLE 0x40

Definition at line 165 of file LTC4245.h.

## ◆ LTC4245_STATUS_REG

#define LTC4245_STATUS_REG 0x00

Definition at line 107 of file LTC4245.h.

## ◆ LTC4245_UNDERVOLTAGE_AUTO_RETRY_DISABLE

#define LTC4245_UNDERVOLTAGE_AUTO_RETRY_DISABLE 0xFE

Definition at line 181 of file LTC4245.h.

## ◆ LTC4245_UNDERVOLTAGE_AUTO_RETRY_ENABLE

#define LTC4245_UNDERVOLTAGE_AUTO_RETRY_ENABLE 0x01

Definition at line 180 of file LTC4245.h.

## ◆ LTC4245_UNDERVOLTAGE_DISABLE

#define LTC4245_UNDERVOLTAGE_DISABLE 0xFE

Definition at line 156 of file LTC4245.h.

## ◆ LTC4245_UNDERVOLTAGE_ENABLE

#define LTC4245_UNDERVOLTAGE_ENABLE 0x01

Definition at line 155 of file LTC4245.h.

## ◆ LTC4245_VEEIN_REG

#define LTC4245_VEEIN_REG 0x19

Definition at line 129 of file LTC4245.h.

## ◆ LTC4245_VEEOUT_REG

#define LTC4245_VEEOUT_REG 0x1B

Definition at line 131 of file LTC4245.h.

## ◆ LTC4245_VEESENSE_REG

#define LTC4245_VEESENSE_REG 0x1A

Definition at line 130 of file LTC4245.h.